package gdsearch.vo;
import javax.jdo.annotations.*;

/**
 * ハード名、発売年と、それに対応するURLを格納するクラス
 */
@PersistenceCapable(identityType = IdentityType.APPLICATION, detachable="true")
public class GameDataUrl {
    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Long id;
    @Persistent
    private String keystr;
    @Persistent
    private String url;

    public GameDataUrl() {}

    public Long   getId()     { return id;     }
    public String getKeystr() { return keystr; }
    public String getUrl()    { return url;    }

    public void setKeystr(String keystr) { this.keystr = keystr; }
    public void setUrl   (String url)    { this.url    = url;    }
}